Execute agent-flow-quality evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/agent-flow-quality/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"conditions": [
"no tools called",
"agent completed task"
],
"threshold": 0.5
},
"input": {
"trajectory_completions": "[\"Found 5 flights\", \"Selected $299 flight\", \"Booking confirmed\"]",
"trajectory_prompts": "[\"Search for flights\", \"Select the cheapest option\", \"Confirm booking\"]"
}
}
'import requests
url = "https://api.traceloop.com/v2/evaluators/agent-flow-quality/execute"
payload = {
"config": {
"conditions": ["no tools called", "agent completed task"],
"threshold": 0.5
},
"input": {
"trajectory_completions": "[\"Found 5 flights\", \"Selected $299 flight\", \"Booking confirmed\"]",
"trajectory_prompts": "[\"Search for flights\", \"Select the cheapest option\", \"Confirm booking\"]"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {conditions: ['no tools called', 'agent completed task'], threshold: 0.5},
input: {
trajectory_completions: '["Found 5 flights", "Selected $299 flight", "Booking confirmed"]',
trajectory_prompts: '["Search for flights", "Select the cheapest option", "Confirm booking"]'
}
})
};
fetch('https://api.traceloop.com/v2/evaluators/agent-flow-quality/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reason": "Agent followed the expected flow correctly",
"score": 0.89,
"success": true
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute agent-flow-quality evaluator
Validate agent trajectory against user-defined conditions
Request Body:
input.trajectory_prompts(string, required): JSON array of prompts in the agent trajectoryinput.trajectory_completions(string, required): JSON array of completions in the agent trajectoryconfig.conditions(array of strings, required): Array of evaluation conditions/rules to validate againstconfig.threshold(number, required): Score threshold for pass/fail determination (0.0-1.0)
POST
/
v2
/
evaluators
/
agent-flow-quality
/
execute
Execute agent-flow-quality evaluator
Authorizations
Type "Bearer" followed by a space and JWT token.
Body
application/json
Request body
Was this page helpful?
⌘I

